# $Revision: 1.28 $, $Date: 2004/05/07 00:35:13 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Image
%define	pnam	Info
Summary:	Image::Info - extract meta information from image files
Summary(pl):	Image::Info - wyodrbnienie meta-informacji z plikw graficznych
Name:		perl-Image-Info
Version:	1.16
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	502b6299ef2d41f67bca4e1f7d9335ab
Patch0:		%{name}-perl5.6-segv.patch
BuildRequires:	perl-Compress-Zlib
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-IO-String
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Compress-Zlib
Requires:	perl-IO-String
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl extention allows you to extract meta information from
various types of image files. In this release the following file
formats are supported:
 - JPEG (plain JFIF and Exif)
 - PNG
 - GIF
 - PBM/PGM/PPM
 - SVG
 - XBM/XPM
 - BMP/DIB/RLE

%description -l pl
To rozszerzenie perla pozwala na wyciganie meta-informacji z rnych
typw plikw graficznych. W tej wersji obsugiwane s nastpujce
formaty plikw:
 - JPEG (czysty JFIF oraz Exif)
 - PNG
 - GIF
 - PBM/PGM/PPM
 - SVG
 - XBM/XPM
 - BMP/DIB/RLE

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Image/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Image-Info.spec,v $
Revision 1.28  2004/05/07 00:35:13  ankry
- rel. 3

Revision 1.27  2004/05/06 18:43:13  ankry
- fixed perl-devel BR

Revision 1.26  2004/04/25 11:54:58  radek
- BR,R: perl-Compress-Zlib
STBR

Revision 1.25  2004/04/25 11:50:26  radek
- BR,R: perl-IO-String

Revision 1.24  2004/04/24 16:15:42  ankry
- unifications
- rel. 2 for Ac

Revision 1.23  2004/04/24 16:01:18  radek
- provided informative summary

Revision 1.22  2004/04/22 12:52:34  ankry
- license fixes & unification

Revision 1.21  2004/04/20 23:30:13  ankry
- ported to new bconds

Revision 1.20  2004/03/06 19:27:18  adamg
- updated to 1.16

Revision 1.19  2004/02/18 15:51:29  qboosh
- s/no/nb/ in Summary langs

Revision 1.18  2003/10/07 12:15:05  migo
- up to 1.15
- BR: perl-5.8
- exif tests fails

Revision 1.17  2003/09/09 10:24:39  ankry
- spaces -> tab

Revision 1.16  2003/08/18 08:08:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.15  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 06:24:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.12  2003/03/01 19:37:17  radek
- should be ready for perl-5.8.0; release++

Revision 1.11  2003/02/25 00:39:28  radek
- use the __perl macro

Revision 1.10  2003/02/18 15:34:17  ankry
- massive attack: change CPAN URLs

Revision 1.9  2003/02/14 21:13:23  qboosh
- added patch to revert some perl 5.8 things (caused SEGV of perl 5.6)

Revision 1.8  2003/02/05 16:18:52  ankry
- autoupdated to 1.12

Revision 1.7  2002/09/26 17:24:07  ankry
- added tests on bcond
- translations
- version 1.11

Revision 1.6  2002/07/20 10:20:40  qboosh
- BR: perl-IO-String

Revision 1.5  2002/07/11 13:00:58  qboosh
- new %%doc, cosmetics

Revision 1.4  2002/07/11 08:00:11  depesz
- new version; should work; STBR

Revision 1.3  2002/07/10 08:47:48  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.2  2002/05/23 13:14:22  jajcus
- adapterized

Revision 1.1  2002/05/23 13:10:37  jajcus
- new specs; needed for bins package
